收藏
回答

能否支持json文件的require?

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 需求 macOS 1.02.1811290

- 需求的场景描述(希望解决的问题)

有个功能需要读取到app.json里的pages,请问能否在开发者工具层面支持一下json文件的require?


- 希望提供的能力

支持json文件的require。

最后一次编辑于  2018-11-30  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

1 个回答

  • HS
    HS
    2018-11-30

    某些 json 文件在小程序编译后可能不存在了,因此暂不支持。

    2018-11-30
    赞同
    回复 4
    • 山里育
      山里育
      2018-11-30

      那可不可以考虑:新建/移除一个页面的时候,不需要相对应地到app.json里增删一条page路径?也就是把pages定义从app.json里去掉,可以在打包的时候,由开发工具自动地去生成需要的pages数据?此过程对开发者透明。

      2018-11-30
      回复
    • HS
      HS
      2018-11-30回复山里育

      工具无法认定某些文件是不是 page,这里会存在大量误判。

      2018-11-30
      回复
    • HS
      HS
      2018-11-30回复山里育

      您的需求简单说就是提供一个方法可以拿到所有 page 的列表对吧。

      2018-11-30
      回复
    • 山里育
      山里育
      2018-11-30回复HS

      对,拿到page列表可以暂时解决我的需求,但是希望有个可以上下兼容的方案。

      2018-11-30
      回复